com.trendmicro.ds.platform.rest.api

## Interface IIntegrationAPI

-     @Path(value="/integration")
      public interface IIntegrationAPI

  Author:
    Carpusher

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearSnapshot(java.lang.String sessionId)` Ask manager to clear the table that records which hosts' status have been sent.
    `javax.ws.rs.core.Response` | `getHostGroupsRegistration(java.lang.String sessionId, boolean checkNew, java.lang.Integer header)` Get registration/deregistration blob of hostgroups.
    `javax.ws.rs.core.Response` | `getHostsRegistration(java.lang.String sessionId, boolean checkNew, java.lang.Integer maxItems, java.lang.Integer header)` Get registration/deregistration blob of clients.
    `javax.ws.rs.core.Response` | `getHostStatus(java.lang.String sessionId, boolean full, java.lang.Integer fromHostId, java.lang.Integer maxItems, java.lang.Integer header)` Get status log blob of clients.

- - ### Method Detail

    - #### getHostStatus

          @GET
           @Path(value="/CM/deviceStatus")
           @Produces(value="application/octet-stream")
          javax.ws.rs.core.Response getHostStatus(@QueryParam(value="sID")
                                                                                                                                     java.lang.String sessionId,
                                                                                                                                     @QueryParam(value="full")
                                                                                                                                     boolean full,
                                                                                                                                     @QueryParam(value="fromHostId")
                                                                                                                                     java.lang.Integer fromHostId,
                                                                                                                                     @QueryParam(value="maxItems")
                                                                                                                                     java.lang.Integer maxItems,
                                                                                                                                     @QueryParam(value="header")
                                                                                                                                     java.lang.Integer header)
                                                                                                                              throws java.lang.Exception

      Get status log blob of clients.
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
        `full` - True for full status. False for only delta status.
        `fromHostId` - Use this argument to continue from last time. Default to 0.
        `maxItems` - Number of hosts to register. Between 1 to 20000. Default to 1000.
        `header` - non-null to request header
      Returns:
      Throws:
        `java.lang.Exception`

    - #### getHostGroupsRegistration

          @GET
           @Path(value="/CM/getHostGroupsRegistration")
           @Produces(value="application/octet-stream")
          javax.ws.rs.core.Response getHostGroupsRegistration(@QueryParam(value="sID")
                                                                                                                                                              java.lang.String sessionId,
                                                                                                                                                              @QueryParam(value="checkNew")
                                                                                                                                                              boolean checkNew,
                                                                                                                                                              @QueryParam(value="header")
                                                                                                                                                              java.lang.Integer header)
                                                                                                                                                       throws java.lang.Exception

      Get registration/deregistration blob of hostgroups. If there are new or deleted hostgroups, send registration or deregistration respectively. Groups must register before hosts.
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
        `checkNew` - True for checking if registration for new hostgroups is needed. False for deregistration.
        `header` - non-null to request header
      Returns:
      Throws:
        `java.lang.Exception`

    - #### getHostsRegistration

          @GET
           @Path(value="/CM/getHostsRegistration")
           @Produces(value="application/octet-stream")
          javax.ws.rs.core.Response getHostsRegistration(@QueryParam(value="sID")
                                                                                                                                                    java.lang.String sessionId,
                                                                                                                                                    @QueryParam(value="checkNew")
                                                                                                                                                    boolean checkNew,
                                                                                                                                                    @QueryParam(value="maxItems")
                                                                                                                                                    java.lang.Integer maxItems,
                                                                                                                                                    @QueryParam(value="header")
                                                                                                                                                    java.lang.Integer header)
                                                                                                                                             throws java.lang.Exception

      Get registration/deregistration blob of clients. If there are new or deleted hosts, send registration or deregistration respectively. Hosts must register after groups.
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
        `checkNew` - True for checking if registration for new hosts is needed. False for deregistration.
        `maxItems` - Number of hosts to register. Between 1 to 20000. Default to 1000.
        `header` - non-null to request header
      Returns:
      Throws:
        `java.lang.Exception`

    - #### clearSnapshot

          @DELETE
           @Path(value="/CM/clearSnapshot")
           @Produces(value="text/plain")
          void clearSnapshot(@QueryParam(value="sID")
                                                                                                      java.lang.String sessionId)
                                                                                               throws java.lang.Exception

      Ask manager to clear the table that records which hosts' status have been sent.
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.